function alfa=SaderAlfafunc(rho,eta,omega,omega_0,rho_c,W,t,CN)
%subfunction of most calculations using John Sader's formula

%uses: SaderHydroRect.m , to calculate hydrodynamic function. This should
%be anywhere in the paths known to Matlab

C1=1.8751041;
B=C1*sqrt(omega./omega_0).*sqrt(sqrt((1+(pi.*rho.*W.^2.*SaderHydroRect(rho,eta,omega,W))/(4.*rho_c.*W.*t))));% I don't really know what B is physically, but it's necessary
alfa=ones(length(CN),length(omega)); %initialization
for jj=1:length(CN) %calculate alfa for one mode at a time
alfa(jj,:)= (2*sin(CN(jj)).*tan(CN(jj)))./(CN(jj).*((CN(jj))^4 -B.^4).*(sin(CN(jj))+sinh(CN(jj))));
end

